Skip to main content

Get Platform Entitlements Prepared By Player Uuid

GET 

/inventory/v2/player/:player_uuid/entitlement/prepared

Get list of entitlements from the platform, as we will grant them to the user

Required Permissions:

  • For any player (including themselves) any of: inv:*, inv:platform_entitlements:any

  • For the player themselves : inv:platform_entitlements:self

Request

Path Parameters

    player_uuid uuidrequired

Query Parameters

    platform_id Platform Idrequired

    Platform this entitlement was purchased was made on

    platform_token any

    Platform token that can be used to verify the identity of the user

    platform_environment any

    Platform Environment to check for ownership

    platform_region PlatformRegionrequired

    Possible values: [Unknown, NA, EU]

    region this purchase was made in

    client_type ClientTyperequired

    Possible values: [UNKNOWN, WIN, MAC, XBOXONE, PS4, SWITCH, ANDROID, IOS, PS5, LINUX, XSX]

    client type this purchase was made on

Responses

Successful Response

Schema

    entitlements

    object[]

  • Array [

  • platform_entitlement_id

    object

    Unique identifier for this instance of an entitlement on the platform

    anyOf

    string

    sku Sku (string)required

    Unique SKU from the platform

    quantity Quantity (integer)

    Default value: 1

    Quantity available to be used from the platform

    received_type

    object

    Type of entitlement the platform sent us. If they provide this metadata, then RallyHere Entitlement SKUs must be configured with matching types, or the entitlement will not process

    anyOf

    The method of granting a Platform Entitlement SKU

    string

    Possible values: [consumable, durable, durable_single_use]

    platform_label

    object

    anyOf

    string

    platform_metadata object

    Default value: [object Object]

    Platform-specific metadata about this entitlement

  • ]

  • error_code

    object

    anyOf

    string

Loading...